#!/usr/bin/env python
# -*- coding: utf-8 -*-
# The idea taken from RobA Shellout http://registry.gimp.org/node/24977

from gimpfu import *
import shlex
import subprocess
import os, sys
def listcommands(option=None):
  programlist = [
  ["ColorMania", "\"c:\\Program Files\\ColorMania\\ColorMania.exe\""],                    #<<--EDIT path the program directory ColorMania.exe
  ["Shock Dropper", "\"c:\\Program Files\\ShockDropper_Portable\\ShockDropper.exe\""],    #<<--EDIT path the program directory ShockDropper.exe
  ["Gpick", "\"c:\\Program Files\\Gpick\\gpick.exe\""],                                   #<<--EDIT path the program directory gpick.exe
  ]
  
  if option == None:
    menulist = []
    for i in programlist:
      if i[0] != "":
        menulist.append(i[0])
    return menulist
  else:
    return programlist[option]
def plugin_main(img, drawable, command):
  progtorun = listcommands(command)
  command = progtorun[1]
  args = shlex.split(command)
  child = subprocess.Popen(args, shell=False)

register(
        "python_fu_dropper",
        "Selection of colors",
        "Selection of colors",
        "RobaA/MrQ",
        "http://www.gimpchat.com/",
        "2011",
        "<Image>/Tools/Selection of colors",
        "*", 
        [ (PF_OPTION,"command",("Program:"),0,listcommands())
          
        ],
        [],
        plugin_main,
        )

main()